body {
  padding: 0;
  margin: 0;
  width: 100%;
  max-width: 100%;
  font-family: "Spectral", serif;
}
body .navbar {
  display: flex;
  position: fixed;
  width: 100%;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  background-color: white;
  color: black;
  z-index: 100;
}
body .navbar h1 {
  font-size: 1.8rem;
  font-weight: bold;
}
body .subnav {
  width: 100%;
  display: flex;
  padding: 10px 25px;
  justify-content: space-between;
}
body .subnav__contact {
  display: flex;
  align-items: center;
  gap: 25px;
}
body .subnav__contact a {
  color: black;
  text-decoration: none;
  display: flex;
  align-items: center;
  font-size: 1.5rem;
  gap: 5px;
}
body .subnav__phone a i {
  margin-right: 5px;
}
body .subnav_media img {
  width: 24px;
  height: 24px;
}
body .subnav__messenger a i,
body .subnav__map a i {
  font-size: 20px;
}
body .subnav__contact a:hover {
  opacity: 0.7;
}
body .nav {
  display: flex;
  justify-content: space-between;
  padding: 0 15px;
  background: black;
  color: white;
  width: 100%;
}
body .nav_logo {
  width: auto;
  height: auto;
  min-width: -moz-fit-content;
  min-width: fit-content;
}
body .nav_logo img {
  width: 130px;
  height: auto;
  -o-object-fit: contain;
  object-fit: contain;
}
body .nav_item {
  display: none;
  align-items: center;
  gap: 10px;
  padding: 0 10px;
}
body .nav_item a {
  text-decoration: none;
  color: white;
  font-weight: 700;
  position: relative;
}
@media (max-width: 768px) {
  body .navbar h1 {
    font-size: 1.2rem;
  }
  body .subnav__phone a p {
    display: none;
  }
  body .nav_logo img {
    width: 100px;
  }
}
body .nav_mobile {
  display: flex;
  align-items: center;
  margin-right: 1rem;
  font-size: 1.5rem;
  cursor: pointer;
}
body .nav_item_mobile {
  display: none;
  position: absolute;
  left: 0;
  top: 100%;
  width: 100%;
  flex-direction: column;
}
body .nav_item_mobile a {
  text-decoration: none;
  width: 100%;
  text-align: left;
}
body .nav_dropdown_mobile {
  padding-left: 0;
  list-style-type: none;
  width: 100%;
}
body .nav_dropdown_mobile li {
  width: 100%;
  text-align: left;
}
body .nav_dropdown_mobile li a {
  display: block;
  text-align: left;
  width: 100%;
  padding: 8px 0;
}
@media (min-width: 1024px) {
  body .nav_item {
    display: flex;
  }
  body .nav_mobile {
    display: none;
  }
}
@media (max-width: 1024px) {
  body .nav_item_mobile a {
    font-size: 1.3rem;
  }
  body .nav_btn {
    justify-content: left !important;
  }
  body .nav_dropdown_mobile li a {
    display: block;
    text-align: left !important;
    width: 100%;
    padding: 8px 0;
  }
}
body .nav_btn {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: black;
  border: none;
  color: white;
  font-weight: 600;
  font-size: 1.2rem;
  padding: 20px;
  cursor: pointer;
  box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.103);
  position: relative;
  overflow: hidden;
  transition: all 0.3s ease;
}
body .nav_btn:hover {
  background-color: white;
  color: black;
  transform: scale(1.05);
  box-shadow: 0 8px 15px rgba(0, 0, 0, 0.2);
}
body .nav_btn::before {
  content: "";
  position: absolute;
  top: 0;
  left: -100%;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.1);
  transition: all 0.4s ease;
}
body .nav_btn:hover::before {
  left: 100%;
}
body .nav_btn span {
  position: relative;
  z-index: 1;
}
body .nav_dropdown_wrapper {
  height: 100%;
}
body .nav_dropdown {
  display: none;
  color: black;
  padding: 0;
  margin: 0;
  list-style-type: none;
  width: 100%;
  top: 100%;
  left: 0;
}
body .nav_dropdown_mobile {
  display: flex;
  flex-direction: column;
}
body .nav_dropdown_mobile li {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}
body .nav_dropdown li {
  width: 100%;
  height: 100%;
}
body .nav_dropdown li a,
body .nav_dropdown_mobile li a {
  color: black;
  display: block;
  text-align: center;
  font-size: 18px;
  font-weight: 600;
  height: 100%;
  width: 100%;
  padding: 30px 40px;
}
body .nav_dropdown_mobile {
  display: none;
  list-style-type: none;
}
body #product:hover .nav_dropdown {
  display: flex;
  position: absolute;
  background-color: white;
  z-index: 1;
  align-items: center;
  justify-content: space-around;
}
body .nav_dropdown li a,
body .nav_dropdown_mobile li a {
  transition: all 0.3s ease;
  position: relative;
  overflow: hidden;
}
body .nav_dropdown li a:hover,
body .nav_dropdown_mobile li a:hover {
  background-color: black;
  color: white;
}
body .nav_dropdown li a::before,
body .nav_dropdown_mobile li a::before {
  content: "";
  position: absolute;
  left: -100%;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: black;
  z-index: -1;
  transition: left 0.3s ease;
}
body .nav_dropdown li a:hover::before,
body .nav_dropdown_mobile li a:hover::before {
  left: 0;
}
body .banner {
  width: 100%;
  height: 100vh;
  background: url("../img/65c346ebcc1b9.jpg") no-repeat;
  background-size: cover;
  background-position: center bottom;
  z-index: 1;
}

body .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 2;
}

body .hero .caption {
  position: absolute;
  top: 45%;
  left: 0%;
  transform: translate(0%, -50%);
  color: white;
  text-align: right;
  z-index: 3;
  width: 100%;
  padding: 0 3rem;
}

body .hero .caption .title {
  font-family: "Boldonse", system-ui;
  margin: 0 0 0 0;
  display: flex;
  justify-content: flex-end;
  font-size: 2rem;
  font-weight: 400;
  margin-bottom: 20px;
  color: #ffffff;
  text-align: right;
}

body .hero .caption .main {
  width: 100%;
  font-family: "Oswald", sans-serif;
  font-weight: 700;
  font-style: normal;
  font-size: 3rem;
  font-style: italic;
}

body .hero .caption .sub {
  font-family: "Kanit", sans-serif;
  font-size: 1.4rem;
}

body .hero .caption .btn {
  width: 10rem;
  height: 3rem;
  background-color: #ffffff;
  border: none;
  color: #000000;
  font-weight: 600;
  gap: 8px;
  cursor: pointer;
  box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.103);
  overflow: hidden;
  transition-duration: 0.3s;
  font-weight: 400;
  margin: 2rem 0;
  font-family: "Kanit", sans-serif;
  font-size: 1.3rem;
}

body .hero .caption .btn:hover {
  background-color: #000000;
  color: #ffffff;
  transform: scale(1.05);
  box-shadow: 0 8px 15px rgba(0, 0, 0, 0.2);
}

body .modal-overview {
  width: 100%;
}
body .modal-overview :hover .car-buttons {
  display: block;
}
body .modal-overview .banner-overview {
  width: 100%;
  height: 600px;
}
body .modal-overview .banner-overview .overview-left {
  background-color: #41454b;
  color: white;
  font-size: 1.2rem;
}
body .modal-overview .banner-overview .overview-right .car-colors {
  width: 100%;
  transform: translate(-50%, 20%);
}
body .modal-overview .banner-overview .overview-right .car-colors img {
  width: 100%;
  height: auto;
}
body .modal-overview .banner-overview .overview-right .car-buttons {
  width: 100%;
  transform: translate(-2%, -240%);
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  gap: 10px;
}
body .modal-overview .banner-overview .overview-right .car-buttons .car-btn {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  border: none;
  cursor: pointer;
  overflow: hidden;
  box-shadow: inset 0px 1px 4px #545454;
  border-radius: 30px;
  padding: 5px;
}
body
  .modal-overview
  .banner-overview
  .overview-right
  .car-buttons
  .car-btn
  .car-text {
  margin-right: 10px;
  padding: 0 10px;
  display: flex;
  justify-content: center;
  font-weight: 500;
  width: 180px;
}
body
  .modal-overview
  .banner-overview
  .overview-right
  .car-buttons
  .car-btn
  .color-icon {
  width: 20px;
  height: 20px;
  border-radius: 50%;
  cursor: pointer;
}
body
  .modal-overview
  .banner-overview
  .overview-right
  .car-buttons
  .car-btn:not(.active)
  .car-text {
  display: none;
  box-shadow: 0px 0px 0px white;
}
body
  .modal-overview
  .banner-overview
  .overview-right
  .car-buttons
  .car-btn:not(.active)
  :hover
  .car-text {
  display: block;
}
body .modal-overview .banner-overview .read-more-btn {
  position: absolute;
  left: 50%;
  bottom: 10px;
  transform: translate(-50%, 0);
}
body .dimension {
  background: url("../img/dimensions-bg.jpg") no-repeat;
  padding: 90px 0 20px 0;
  background-size: cover;
  min-height: 500px;
}
body .dimension img {
  width: 100%;
}
body .dimension .visible-sm {
  display: none;
}
body .performance .container-editor {
  max-width: 1680px;
  margin: auto;
  padding: auto;
}
body .title {
  font-size: 3rem;
  font-weight: bold;
  margin: 50px 0;
  color: #333333;
  display: flex;
  justify-content: center;
  align-items: center;
}

body .price .price-main {
  height: 90vh;
  background-image: url("../img/all-new-m8-slide-footer.jpg");
  display: flex;
  justify-content: space-around;
  position: relative;
  z-index: 0;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  overflow: hidden;
}

body .price .overlay {
  position: absolute;
  width: 100%;
  height: 90vh;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1;
  top: 0;
  left: 0;
}

body .price-heading {
  position: absolute;
  z-index: 2;
  color: white;
  left: 10%;
  top: 10%;
}

body .price-heading-title {
  font-size: 2.5rem;
  font-weight: bold;
}

body .price-heading-main {
  font-size: 3.5rem;
  font-weight: bold;
  font-style: italic;
  font-family: "Oswald", sans-serif;
  letter-spacing: 0.2rem;
}

body .price .price-content {
  position: absolute;
  top: 75%;
  left: 50%;
  transform: translate(-50%, 0);
  display: flex;
  justify-content: space-between;
  width: 70%;
  color: white;
  z-index: 2;
  padding: 2rem 3rem;
  border-radius: 20px;
  font-size: 2rem;
}

body .price-element {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: white;
  line-height: 2;
  font-size: 1.5rem;
}

body .price a {
  z-index: 2;
  position: absolute;
  top: 85%;
  left: 50%;
  transform: translate(-50%, 0);
  width: 10rem;
  height: 3rem;
  background-color: #ffffff;
  border: none;
  color: #000000;
  font-weight: 600;
  gap: 8px;
  cursor: pointer;
  box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.103);
  overflow: hidden;
  transition-duration: 0.3s;
  font-weight: 400;
  margin: 2rem 0;
  font-family: "Kanit", sans-serif;
  font-size: 1.3rem;
}

body .price a:hover {
  background-color: #000000;
  color: #ffffff;
  box-shadow: 0 8px 15px rgba(0, 0, 0, 0.2);
}

body .read-more-btn {
  display: inline-block;
  padding: 5px 20px;
  font-size: 16px;
  font-weight: bold;
  color: #ca3632;
  border: 2px solid #ca3632;
  border-radius: 30px;
  background-color: transparent;
  text-align: center;
  cursor: pointer;
}
body .read-more-btn:hover {
  background-color: #ca3632;
  color: white;
}
body .features .overlay-text {
  position: absolute;
  bottom: 10%;
  left: 10%;
  color: white;
  font-size: 1rem;
  border-radius: 5px;
  text-align: center;
  text-shadow: 1px 1px 5px #444;
  line-height: 1.5;
  height: 3em;
  font-size: 1.2em;
}
body #form .accordion-container {
  padding: 0 2rem;
}
body #form .accordion-container #accordion h2 {
  color: black;
  font-size: 2.5rem;
  margin: 3rem auto 3rem 0rem;
}
body #form .accordion-container .accordion {
  margin: 1rem 0;
  background-color: #eee;
  color: #444;
  cursor: pointer;
  padding: 18px;
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  font-size: 15px;
  transition: 0.4s;
  text-transform: uppercase;
  font-weight: 700;
  font-size: 1.2rem;
  align-items: center;
  transition: 0.4;
  border-radius: 10px;
  display: flex;
}
body #form .accordion-container .accordion span {
  font-size: 1.2rem;
  display: inline-block;
  padding: 0.5rem 1rem;
  background-color: black;
  color: white;
  border-radius: 10px;
  margin-right: 2rem;
  font-weight: 600;
  text-transform: uppercase;
  cursor: pointer;
}
body #form .accordion-container .active,
body #form .accordion-container .accordion:hover {
  background-color: black;
  color: white;
}
body #form .accordion-container .accordion-panel {
  padding: 0 18px;
  background-color: white;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease-out;
  border-radius: 10px;
  box-sizing: border-box;
}
body #form .accordion-container .accordion-panel p {
  font-size: 1.2rem;
  margin: 0.5rem 0 0.5rem 1rem;
  padding: 0 0 0 1.5rem;
  border-left: 2px solid black;
  line-height: 1.5;
  color: black;
  display: block;
}
body #form form {
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  border-radius: 5px;
  color: black;
  padding: 0 2rem;
}
body #form form p {
  font-size: 1.2rem;
  margin: 0 0 0.8rem 0;
}
body #form form label {
  font-size: 1rem;
  margin: 0rem 0 0.3rem 0;
}
body #form form input {
  font-size: 1.5rem;
  padding: 0.8rem 0 0.8rem 0.5rem;
  width: 90%;
  margin: 0.5rem 0 0.5rem 0;
}
body #form form label[for="phone"] {
  margin: 0.3rem 0 0.3rem 0;
}
body #form form input {
  font-size: 1.5rem;
  padding: 0.8rem 0 0.8rem 0.5rem;
  width: 90%;
  margin: 0.5rem 0 0.5rem 0;
}
body #form form label {
  width: 100%;
  font-size: 1rem;
  margin: 0rem 0 0.3rem 0;
}
body #form form input {
  font-size: 1.5rem;
  padding: 0.8rem 0 0.8rem 0.5rem;
  width: 100%;
  margin: 0.5rem 0 0.5rem 0;
}
body #form form .btn {
  background-color: black;
  color: white;
  margin: 1rem 0 0 0;
  font-size: 1.2rem;
}
body .footer {
  font-size: 1em;
}
body .footer .icons img {
  width: 15px;
}
body .footer a {
  text-decoration: none;
  color: white;
}
body #top-btn {
  position: fixed;
  bottom: 50px;
  right: 0;
  background: #c00;
  color: white;
  border: none;
  padding: 8px 15px;
  border-radius: 45px 0 0 45px;
  font-size: 14px;
  font-weight: bold;
  display: none;
  align-items: center;
  gap: 5px;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
}
body #top-btn .icon {
  background: url("../icons/return-top.png") no-repeat center;
  background-size: contain;
  width: 15px;
  height: 10px;
  display: inline-block;
}
body #top-btn:hover {
  background: #900;
}
body .scrolled {
  background: rgba(25, 25, 25, 0.6) !important;
}
@media screen and (max-width: 3000px) {
  body .modal-overview .banner-overview .overview-right .car-colors {
    transform: translate(-50%, 0%);
  }
  body .modal-overview .banner-overview .overview-right .car-buttons {
    transform: translate(-2%, -300%);
  }
}
@media screen and (max-width: 1980px) {
  body .modal-overview .banner-overview .overview-right .car-colors {
    transform: translate(-50%, 10%);
  }
}
@media screen and (max-width: 1680px) {
  body .modal-overview .banner-overview .overview-right .car-buttons {
    transform: translate(-2%, -180%);
  }
}
@media screen and (max-width: 1200px) {
  body .modal-overview .banner-overview .overview-right .car-buttons {
    transform: translate(-2%, -115%);
  }

  body .price .price-content {
    display: none;
  }
  body
    .modal-overview
    .banner-overview
    .overview-right
    .car-buttons
    .car-btn
    .car-text {
    width: 140px;
  }
  body .modal-overview .banner-overview .overview-right .car-colors {
    transform: translate(-50%, 30%);
  }
  body .price .price-main {
    height: 60vh;
  }
}
@media screen and (max-width: 992px) {
  body .banner {
    height: 400px;
    padding-top: 500px;
  }
  body .caption {
    display: none;
  }

  body .overlay {
    display: none;
  }
  body .dimension .hidden-sm {
    display: none;
  }
  body .dimension .visible-sm {
    display: block;
  }
  body .modal-overview .row {
    --bs-gutter-x: 0 !important;
  }
  body .modal-overview .banner-overview {
    height: 100%;
  }
  body .modal-overview .banner-overview .overview-right .car-colors {
    transform: translate(-5%, -30%);
  }
  body .modal-overview .banner-overview .overview-right .car-buttons {
    flex-direction: row;
    justify-content: center;
  }
}
@media screen and (max-width: 768px) {
  body .banner {
    height: 300px;
  }
  body .price a {
    top: 80%;
  }
}
@media screen and (max-width: 576px) {
  body .title {
    font-size: 2rem;
  }

  body .subnav__contact {
    flex-wrap: nowrap;
    gap: 5px;
  }
}
